# FairMQ: fair::mq::shmem::SegmentAllocate Struct Reference

fair::mq::shmem::SegmentAllocate Struct Reference
Inheritance diagram for fair::mq::shmem::SegmentAllocate:
[legend]
Collaboration diagram for fair::mq::shmem::SegmentAllocate:
[legend]

## Public Member Functions

| SegmentAllocate (const size_t _size)
template<typename S >
void * | operator() (S &s) const

## Public Attributes

const size_t | size

The documentation for this struct was generated from the following file:

- fairmq/shmem/Common.h

privacy